## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionCase

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic

All Known Subinterfaces:
  ValueExpressionCaseSearch, ValueExpressionCaseSimple

All Known Implementing Classes:
  ValueExpressionCaseImpl, ValueExpressionCaseSearchImpl, ValueExpressionCaseSimpleImpl

public interface ValueExpressionCase
extends ValueExpressionAtomic

A representation of the model object 'SQL Value Expression Case'.

The following features are supported:

- `Case Else`

See Also:
  `SQLQueryModelPackage.getValueExpressionCase()`

Method Summary
`ValueExpressionCaseElse` `getCaseElse()` Returns the value of the 'Case Else' containment reference.
`void` `setCaseElse(ValueExpressionCaseElse value)` Sets the value of the '`Case Else`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getCaseElse

    public ValueExpressionCaseElse getCaseElse()

  Returns the value of the 'Case Else' containment reference. It is bidirectional and its opposite is '`Value Expr Case`'.

  If the meaning of the 'Case Else' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Case Else' containment reference.
  See Also:
    `setCaseElse(ValueExpressionCaseElse)`, `SQLQueryModelPackage.getValueExpressionCase_CaseElse()`, `ValueExpressionCaseElse.getValueExprCase()`

### setCaseElse

    public void setCaseElse(ValueExpressionCaseElse value)

  Sets the value of the '`Case Else`' containment reference.

  Parameters:
    `value` - the new value of the 'Case Else' containment reference.
  See Also:
    `getCaseElse()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.